> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domsoftware.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirmar Saída Reservada

> Consuma definitivamente o valor já alocado num produto (quando o pedido é faturado ou enviado).

### Path

<ParamField path="productId" type="string" required>Item faturado</ParamField>
<ParamField path="quantity" type="number" required>Qtde. confirmada para abaixar físico do inventário</ParamField>

### Response

<ResponseExample>
  ```json Response theme={null}
  {
    "message": "Venda confirmada"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml patch /inventory/product/{productId}/confirm/{quantity}
openapi: 3.0.0
info:
  title: Hub Marketplace API
  description: API for managing marketplace listings and keys
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: listings
    description: ''
paths:
  /inventory/product/{productId}/confirm/{quantity}:
    patch:
      tags:
        - Inventory
      summary: Confirmar venda (reduz reserva)
      operationId: InventoryController_confirmStock
      parameters:
        - name: productId
          required: true
          in: path
          schema:
            format: uuid
            type: string
        - name: quantity
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: Venda confirmada
      security:
        - bearer: []
components: {}

````